# How to Contribute

Inbucket encourages third-party patches. It's valuable to know how other
developers are using the product.


## Getting Started

If you anticipate your issue requiring a large patch, please first submit a
GitHub issue describing the problem or feature. You are also encouraged to
outline the process you would like to use to resolve the issue. I will attempt
to provide validation and/or guidance on your suggested approach.


## Making Changes

Inbucket follows the regular GitHub pattern. Create a topic branch from where
you want to base your work:

Once you are on your topic branch:

1. Make commits of logical units.
2. Add unit tests to exercise your changes.
3. Run `make` to test, vet and confirm your code is formatted correctly.
   If you do not have Make installed, please perform these steps manually,
   otherwise your PR will not pass our checks.


## Thanks

Thank you for contributing to Inbucket!
